[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ORBit 2.8.1 uploaded to experimental



On Wed, Oct 08, 2003 at 01:08:04PM +0200, Sebastian Rittau wrote:

> Upon investigating further, I came to the conclusion that all these
> problems are caused by bonobo-activation using various linc_ functions.
> Since bonobo-activation was integrated into libbonobo in GNOME 2.4 this
> problem is not evident if GNOME 2.4 is built from scratch. Now, the
> solution that I propose for Debian is to change all instances of calling
> linc_ functions in bonobo-activation to link_ (the name of the
> internalized linc functions in ORBit 2.8) and rebuild bonobo-activation
> against ORBit 2.8. I will try to do this and provide a patch for
> bonobo-activation if it works.

I have now a working patch against bonobo-activation that fixes the
problems with ORBit 2.8. This is a dirty hack that forces
bonobo-activation to use the internal ORBit functions, prefixed link_
instead of linc_, but at least it seems to work. I've attached the
necessary patches as well as the changed control file and the changelog
snippet. I've also uploaded the source files as well as a version
compiled for i386 to [1]. Takuo, is it okay if I make a NMU to
experimental of this version?

So, I basically see three different solutions to the problems outlined:

 1. Increase the soname and the package name of liborbit2. While this
    would work, it would make us binary incompatible with every other
    distribution. I don't think that this is a viable solution.
 2. Recompile all packages that depend on libbonobo-activation4 against
    the new ORBit version. While this is certainly the best solution, it
    is also a lot of work and will break GNOME again during the
    transition.
 3. My preferred solution: Patch bonobo-activation now and build it
    against ORBit 2.8. Move bonobo-activation and ORBit 2.8 to unstable
    as soon as this solution proves viable and stable. Then start
    recompiling GNOME against the new ORBit version and work towards
    goal number 2 step by step.

Opinions?

 - Sebastian

[1] http://www.jroger.in-berlin.de/orbit/
diff -ruN bonobo-activation-2.2.4-old/configure bonobo-activation-2.2.4/configure
--- bonobo-activation-2.2.4-old/configure	2003-08-12 10:12:52.000000000 +0200
+++ bonobo-activation-2.2.4/configure	2003-10-08 13:17:23.000000000 +0200
@@ -1119,7 +1119,7 @@
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi
-    cd $ac_popdir
+    cd "$ac_popdir"
   done
 fi
 
@@ -1316,7 +1316,7 @@
       echo "$as_me: caught signal $ac_signal"
     echo "$as_me: exit $exit_status"
   } >&5
-  rm -f core core.* *.core &&
+  rm -f core *.core &&
   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
     exit $exit_status
      ' 0
@@ -2833,8 +2833,7 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   for ac_declaration in \
-   ''\
-   '#include <stdlib.h>' \
+   '' \
    'extern "C" void std::exit (int) throw (); using std::exit;' \
    'extern "C" void std::exit (int); using std::exit;' \
    'extern "C" void exit (int) throw ();' \
@@ -2848,8 +2847,8 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
 $ac_declaration
+#include <stdlib.h>
 int
 main ()
 {
@@ -3432,7 +3431,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3435 "configure"' > conftest.$ac_ext
+  echo '#line 3434 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -3965,7 +3964,7 @@
 ( exit $ac_status )
 ac_cv_header_stdc=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
 fi
@@ -4410,8 +4409,7 @@
   fi
 fi
 for ac_declaration in \
-   ''\
-   '#include <stdlib.h>' \
+   '' \
    'extern "C" void std::exit (int) throw (); using std::exit;' \
    'extern "C" void std::exit (int); using std::exit;' \
    'extern "C" void exit (int) throw ();' \
@@ -4425,8 +4423,8 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
 $ac_declaration
+#include <stdlib.h>
 int
 main ()
 {
@@ -4827,7 +4825,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:4830:" \
+echo "$as_me:4828:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -5832,11 +5830,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:5835: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:5833: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:5839: \$? = $ac_status" >&5
+   echo "$as_me:5837: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6064,11 +6062,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6067: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6065: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6071: \$? = $ac_status" >&5
+   echo "$as_me:6069: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6131,11 +6129,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6134: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6132: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6138: \$? = $ac_status" >&5
+   echo "$as_me:6136: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8167,7 +8165,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8170 "configure"
+#line 8168 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8265,7 +8263,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8268 "configure"
+#line 8266 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10397,11 +10395,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10400: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10398: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10404: \$? = $ac_status" >&5
+   echo "$as_me:10402: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10464,11 +10462,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10467: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10465: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10471: \$? = $ac_status" >&5
+   echo "$as_me:10469: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11731,7 +11729,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11734 "configure"
+#line 11732 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11829,7 +11827,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11832 "configure"
+#line 11830 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12651,11 +12649,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12654: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12652: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12658: \$? = $ac_status" >&5
+   echo "$as_me:12656: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12718,11 +12716,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12721: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12719: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12725: \$? = $ac_status" >&5
+   echo "$as_me:12723: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14682,11 +14680,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14685: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14683: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14689: \$? = $ac_status" >&5
+   echo "$as_me:14687: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14914,11 +14912,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14917: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14915: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14921: \$? = $ac_status" >&5
+   echo "$as_me:14919: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14981,11 +14979,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14984: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14982: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14988: \$? = $ac_status" >&5
+   echo "$as_me:14986: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17017,7 +17015,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17020 "configure"
+#line 17018 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17115,7 +17113,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17118 "configure"
+#line 17116 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18733,8 +18731,7 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   for ac_declaration in \
-   ''\
-   '#include <stdlib.h>' \
+   '' \
    'extern "C" void std::exit (int) throw (); using std::exit;' \
    'extern "C" void std::exit (int); using std::exit;' \
    'extern "C" void exit (int) throw ();' \
@@ -18748,8 +18745,8 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
 $ac_declaration
+#include <stdlib.h>
 int
 main ()
 {
@@ -20638,16 +20635,16 @@
         echo "$as_me:$LINENO: checking for \
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1" >&5
+	" >&5
 echo $ECHO_N "checking for \
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1... $ECHO_C" >&6
+	... $ECHO_C" >&6
 
         if $PKG_CONFIG --exists "\
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1" ; then
+	" ; then
             echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
             succeeded=yes
@@ -20657,7 +20654,7 @@
             BONOBO_ACTIVATION_CFLAGS=`$PKG_CONFIG --cflags "\
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1"`
+	"`
             echo "$as_me:$LINENO: result: $BONOBO_ACTIVATION_CFLAGS" >&5
 echo "${ECHO_T}$BONOBO_ACTIVATION_CFLAGS" >&6
 
@@ -20666,7 +20663,7 @@
             BONOBO_ACTIVATION_LIBS=`$PKG_CONFIG --libs "\
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1"`
+	"`
             echo "$as_me:$LINENO: result: $BONOBO_ACTIVATION_LIBS" >&5
 echo "${ECHO_T}$BONOBO_ACTIVATION_LIBS" >&6
         else
@@ -20677,7 +20674,7 @@
             BONOBO_ACTIVATION_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "\
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1"`
+	"`
             echo $BONOBO_ACTIVATION_PKG_ERRORS
         fi
 
@@ -20695,11 +20692,11 @@
      { { echo "$as_me:$LINENO: error: Library requirements (\
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
+	) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
 echo "$as_me: error: Library requirements (\
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
+	) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
    { (exit 1); exit 1; }; }
   fi
 
@@ -20967,29 +20964,6 @@
 ORBIT_IDL="`$PKG_CONFIG --variable=orbit_idl ORBit-2.0`"
 
 
-{ echo "$as_me:$LINENO: checking for correct platform..." >&5
-echo "$as_me: checking for correct platform..." >&6;}
-if $PKG_CONFIG --atleast-version=2.7.0 ORBit-2.0 &> /dev/null; then
-   { { echo "$as_me:$LINENO: error:
-** ERROR **
-
-bonobo-activation is deprecated in Gnome 2.4,
-it's part of libbonobo now, please build the libbonobo module
-instead
-
-** ERROR **" >&5
-echo "$as_me: error:
-** ERROR **
-
-bonobo-activation is deprecated in Gnome 2.4,
-it's part of libbonobo now, please build the libbonobo module
-instead
-
-** ERROR **" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: result: ok" >&5
-echo "${ECHO_T}ok" >&6
 
 
 have_getaddrinfo=no
@@ -21804,7 +21778,7 @@
 ( exit $ac_status )
 ac_cv_header_stdc=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
 fi
diff -ruN bonobo-activation-2.2.4-old/configure.in bonobo-activation-2.2.4/configure.in
--- bonobo-activation-2.2.4-old/configure.in	2003-08-12 10:12:21.000000000 +0200
+++ bonobo-activation-2.2.4/configure.in	2003-10-08 13:17:15.000000000 +0200
@@ -72,7 +72,8 @@
 PKG_CHECK_MODULES(BONOBO_ACTIVATION, \
 	gmodule-2.0 >= 2.0.1 \
 	ORBit-2.0 >= 2.4.0 \
-	linc >= 0.5.1)
+dnl 	linc >= 0.5.1)
+	)
 AC_SUBST(BONOBO_ACTIVATION_LIBS)
 AC_SUBST(BONOBO_ACTIVATION_CFLAGS)
 
@@ -94,18 +95,18 @@
 ORBIT_IDL="`$PKG_CONFIG --variable=orbit_idl ORBit-2.0`"
 AC_SUBST(ORBIT_IDL)
 
-AC_CHECKING(for correct platform)
-if $PKG_CONFIG --atleast-version=2.7.0 ORBit-2.0 &> /dev/null; then
-   AC_ERROR([
-** ERROR **
-
-bonobo-activation is deprecated in Gnome 2.4,
-it's part of libbonobo now, please build the libbonobo module
-instead
-
-** ERROR **])
-fi
-AC_MSG_RESULT(ok)
+dnl AC_CHECKING(for correct platform)
+dnl if $PKG_CONFIG --atleast-version=2.7.0 ORBit-2.0 &> /dev/null; then
+dnl    AC_ERROR([
+dnl ** ERROR **
+dnl 
+dnl bonobo-activation is deprecated in Gnome 2.4,
+dnl it's part of libbonobo now, please build the libbonobo module
+dnl instead
+dnl 
+dnl ** ERROR **])
+dnl fi
+dnl AC_MSG_RESULT(ok)
 
 dnl ********************************
 dnl *** Checks for getaddrinfo() ***
diff -ruN bonobo-activation-2.2.4-old/bonobo-activation/bonobo-activation-base-service.c bonobo-activation-2.2.4/bonobo-activation/bonobo-activation-base-service.c
--- bonobo-activation-2.2.4-old/bonobo-activation/bonobo-activation-base-service.c	2002-10-18 01:10:59.000000000 +0200
+++ bonobo-activation-2.2.4/bonobo-activation/bonobo-activation-base-service.c	2003-10-08 13:28:23.000000000 +0200
@@ -471,7 +471,7 @@
         static char *tmpdir = NULL;
 
         if (!tmpdir)
-                tmpdir = linc_get_tmpdir ();
+                tmpdir = link_get_tmpdir ();
 
         if (!tmpdir) {
                 g_warning ("very odd tmpdir problem");
diff -ruN bonobo-activation-2.2.4-old/bonobo-activation/bonobo-activation-fork-server.c bonobo-activation-2.2.4/bonobo-activation/bonobo-activation-fork-server.c
--- bonobo-activation-2.2.4-old/bonobo-activation/bonobo-activation-fork-server.c	2002-10-18 01:10:59.000000000 +0200
+++ bonobo-activation-2.2.4/bonobo-activation/bonobo-activation-fork-server.c	2003-10-08 13:40:47.000000000 +0200
@@ -47,6 +47,12 @@
 #include <stdlib.h>
 #include <fcntl.h>
 
+/* srittau: stolen from ORBit2 source */
+typedef struct _LinkWatch        LinkWatch;
+struct _LinkWatch {
+	GSource *main_source;
+	GSource *link_source;
+};
 
 /* Whacked from gnome-libs/libgnorba/orbitns.c */
 
@@ -131,7 +137,7 @@
 
                 /* We run the loop too ... */
                 while (!ai->done)
-                        linc_main_iteration (TRUE);
+                        link_main_iteration (TRUE);
 
                 if (!strcmp (seek_ai->act_iid, ai->act_iid)) {
 #ifdef BONOBO_ACTIVATION_DEBUG
@@ -301,7 +307,7 @@
 	}
 
 	if (childpid != 0) {
-                LincWatch *watch;
+                LinkWatch *watch;
 
                 /* de-zombify */
                 while (waitpid (childpid, &status, 0) == -1 && errno == EINTR)
@@ -346,15 +352,15 @@
 
 		gioc = g_io_channel_unix_new (iopipes[0]);
 
-                watch = linc_io_add_watch (
-                        gioc, 
+                watch = link_io_add_watch_fd (
+                        g_io_channel_unix_get_fd (gioc), 
                         G_IO_IN | G_IO_PRI | G_IO_HUP | G_IO_NVAL | G_IO_ERR,
                         (GIOFunc) & handle_exepipe, &ai);
 
                 while (!ai.done)
-                        linc_main_iteration (TRUE);
+                        link_main_iteration (TRUE);
 
-                linc_io_remove_watch (watch);
+                link_io_remove_watch (watch);
 		g_io_channel_unref (gioc);
 		fclose (iorfh);
 
diff -ruN bonobo-activation-2.2.4-old/server/activation-server-main.c bonobo-activation-2.2.4/server/activation-server-main.c
--- bonobo-activation-2.2.4-old/server/activation-server-main.c	2002-10-18 01:11:02.000000000 +0200
+++ bonobo-activation-2.2.4/server/activation-server-main.c	2003-10-08 13:28:23.000000000 +0200
@@ -279,7 +279,7 @@
 	debug_queries ();
         if (server_reg) {
                 char *fname;
-                fname = g_strconcat (linc_get_tmpdir (),
+                fname = g_strconcat (link_get_tmpdir (),
                                      "/bonobo-activation-server-ior", NULL);
                 fh = fopen (fname, "w+");
 		fprintf (fh, "%s\n", ior);
diff -ruN bonobo-activation-2.2.4-old/test/bonobo-activation-test.c bonobo-activation-2.2.4/test/bonobo-activation-test.c
--- bonobo-activation-2.2.4-old/test/bonobo-activation-test.c	2002-10-18 01:11:05.000000000 +0200
+++ bonobo-activation-2.2.4/test/bonobo-activation-test.c	2003-10-08 13:28:23.000000000 +0200
@@ -178,7 +178,7 @@
         g_assert (ev->_major == CORBA_NO_EXCEPTION);
 
         while (async_done < 2)
-                linc_main_iteration (TRUE);
+                link_main_iteration (TRUE);
 }
 
 int
Source: bonobo-activation
Section: devel
Priority: optional
Maintainer: Takuo KITAME <kitame@debian.org>
Build-Depends: debhelper (>> 3.0.0), pkg-config, liborbit2-dev (>= 2.8.0), flex, byacc, libxml2-dev (>= 2.4.20), libglib2.0-dev (>= 2.2), libpopt-dev, zlib1g-dev, gnome-common, dbs, intltool, autotools-dev
Standards-Version: 3.5.2

Package: bonobo-activation
Architecture: any
Depends: ${shlibs:Depends}
Description: Bonobo Activation Framework
 Bonobo Activation is an object activation framework for GNOME2. It uses ORBit.

Package: libbonobo-activation4
Architecture: any
Depends: ${shlibs:Depends}, bonobo-activation
Description: Bonobo Activation Framework -- runtime libraries
 Bonobo Activation is an object activation framework for GNOME2. It uses ORBit.

Package: libbonobo-activation-dev
Architecture: any
Depends: libbonobo-activation4 (= ${Source-Version}), bonobo-activation, libc6-dev, liborbit2-dev (>= 2.4.0), libxml2-dev (>= 2.4.20), libglib2.0-dev (>= 2.2), libpopt-dev
Description: Bonobo Activation Framework -- development files
 Bonobo Activation is an object activation framework for GNOME2. It uses ORBit.
bonobo-activation (1:2.2.4-1.1) experimental; urgency=low

  * NMU to experimental
  * Build against ORBit 2.8.
    + debian/control: Build-depend on liborbit2-dev (>= 2.8.0).
    + 00configure-dont-check-orbit-version: New patch that turns off the
      "platform check" in configure.
    + 10linc-to-link: Rename all functions calls named linc_ to link_.

 -- Sebastian Rittau <srittau@debian.org>  Wed,  8 Oct 2003 14:44:21 +0200

Reply to: